#! /usr/bin/env python3
# encoding: utf-8

# --------------------------------------------------
# Library imports
import over

# --------------------------------------------------
# Local imports
import version

# --------------------------------------------------
# Exceptions

class ConfigurationError(Exception):
	pass

# --------------------------------------------------
# Functions

# --------------------------------------------------
# Classes

# --------------------------------------------------

if __name__ == "__main__":
	main = over.app.Main("app-name", version.str, "LICENSE", features={"config_file": False})
	main.add_option("option", "What the option does.", str, ["default"], count=1, abbr="o")
	main.add_doc("Description", ["What it does.", "Another paragraph."])
	main.setup()
	
	...
